---
title: 02 KDE
description: The KDE Desktop Environment
published: true
date: 2023-04-30T02:13:34.300Z
tags: 
editor: markdown
dateCreated: 2023-04-28T07:55:35.043Z
---

# Getting back in with the installation USB
First we have to get back into the installation medium to install the network components and the Desktop Environment.

You just start from USB again, Check your network, Mount the needed drives and chroot into the system

You might think, Why did I make you go trough this toruble?

Well, This routine should be common knowledge for Arch users, If you ever break your system, you now know how to get back into it and hopefully fix your system.

So once again so you don't have to go back to the previous guide.

	ping archlinux.org

OK? Ctrl + C and mount the needed drives (Also mount boot if you need it)

	mount /dev/nvme0n1p1 /mnt

And finally chroot into the system so you can change whatever you need to change

	arch-chroot /mnt

You should be root inside your installed system

# Installing KDE
simply run the command and let it run,

	pacman -S sddm plasma-desktop xorg networkmanager kde-applications plasma-wayland-session plasma-nm

this one could take a while, but after it is done enable Networkmanager and sddm

	systemctl enable NetworkManager

	systemctl enable sddm

# Set the SDDM keyboard layout
If you use the US keyboard layout you can skip this step.

We need to do this before we restart because if you have any strange characters in your password it might be hard getting in. So we are going to edit the following file

	nano /usr/share/sddm/scripts/Xsetup

Edit the file and add in the following line

	setxkbmap "dk, us"

You can change the country codes here, the first one will be the default one selected.

If you don't know which one you need you can list them all with the following command

	localectl list-keymaps

We will change the keyboard layout in KDE later on after we are in the Desktop Environment

# Reboot into Desktop Environment
Run the following command to escape from the chroot

	exit

Run the following command to restart

	reboot

Remove the USB when your screen turns black and it should boot into the sddm, here you can enter your password and this should bring you into KDE Plasma

# KDE Tweaks
If you use a laptop, having some power management features can be very handy.

Things like changing the screen brightness, advanced power management and settings for different states.

Install powerdevil with the following command

	sudo pacman -S powerdevil

Go to the settings, there should be an icon in the taskbar

On the first page you can change the theme to Dark, Speed up the animation speed and select files by clicking them instead of opening them immediately.

Also be sure to set the correct timezone, you can also right click on your taskbar and then adjust every little thing on there to your liking. I would recommend adjusting the digital clock to ddd d MMM and include the second for example.

If you have a different keyboard layout than US you need to adjust it here too.

under input devices and click on the layouts tab here, Check the configure layouts checkbox and add all the keyboard layouts you need, After a reboot you will be able to switch easily by just clicking on the layout in the taskbar.

After a reboot it should all work just fine
