---
title: 10 Maintenance
description: 
published: true
date: 2023-05-01T23:56:42.614Z
tags: 
editor: markdown
dateCreated: 2023-04-30T01:47:46.929Z
---

# Cleaning up and maintaining the system
Lastly we are going to clean up a bit, We left a lot of mess in your home directory during in the few hours, You can remove all the folders we used for installing the AUR packages, like pamac-aur, nautilus-nextcloud, numix-square-icons, etc

To maintain your system all you have to do is update it, you can run the following command to update your entire system.

	sudo pacman -Syu

If you followed the complete guide and installed Pamac, you can just use pamac to update all packages on your system including the ones from the AUR.

You don't have to update every day, You can ofcourse, But if you want to update every week or every 2 weeks that is fine too, I do think the sweet spot is between 3 days and a week. Unless you don't use the device I would not wait longer than a month with updates, some of the updates are pretty important for the security of the device, Which is the main reason why you MUST update.

You can also remove orphaned packages every once in a while with the following command

	sudo pacman -Rnsc $(pacman -Qqdt)

You do this in pamac by going to the installed tab, then click on orphans and then select all to remove them.

I would be careful with executing commands from the internet, especially the sudo command, It is extremely powerful, You could mess up everything with many simple commands.

If you need extra software, always try the repos first! Nothing wrong with needing something from the AUR, but try to keep it to a minimum, and regularly check the "Foreign Packages" under installed in Pamac to check what AUR packages are still installed, If you see anything you don't recognize, try to remove it, If it is a dependency Pamac will warn you and you can always cancel.

I would recommend against Installing software from git, web, trough scripts, make, curl, wget, etc. Don't unless you absolutely need it and know what you are doing, But by that time I would recommend to just add it to the AUR yourself.

I would also recommend keeping your home directory nice and orderly.