---
title: 08 Emulation
description: 
published: true
date: 2023-05-03T05:51:51.261Z
tags: 
editor: markdown
dateCreated: 2023-05-03T03:45:54.593Z
---

# Emulation
If you want to play console games on your system you need some emulators, If you only want to play Windows PC games you can just scroll down to the Steam Play section. 

# RetroArch
WIP!

# Dolphin
WIP!

# Yuzu
WIP!

# Duckstation
WIP!

# PCSX2
WIP!

# RPCS3
WIP!

# Flycast
WIP!

# Xemu
WIP!

# Steam Rom Manager
WIP!

# Steam Play
Steam Play Compatibility Tools are great for running Steam games that do not work natively on your system. Of course there is no guarantee games will work, But it certainly boosts the list of playable games on Steam for Linux. You can run Windows games or DOS games on Linux, You can even run Linux games that fail to run when you start them normally.

First up we need to enable Steam Play in the Steam settings,

1. Click on Steam in the top bar
2. Click on Settings
3. Select the Steam Play tab on the right
4. Enable "Enable Steam Play for supported Titles"

You can optionally enable the second box to enable Steam Play automatically for all games in your library, I would not recommend this because It breaks the Native Linux filtering tool.

Now Save and Steam will restart, To actually use it now we need to force it for each game we want to play, 

1. Right click the game you want to run using Steam Play
2. Click Properties
3. Click on the Compatibility tab on the right
4. Enable "Force the use of a specific Steam Play compatibility tool"
5. Select the Steam Play Compatibility tool that you want to use

Below I will list all Steam Play Compatibility tools out there, describe what they do and how to install them.

## Proton
This is Valves own fork of Wine, It will be installed automatically if you select it as the tool of choice in any games properties. Proton should be the go to tool if you want to play Windows games.

## ProtonDB
protondb.com is a Proton DataBase, Here anyone can report how well games run for them with Proton, It creates some nice stats and it is a useful place to check which games you will be able to play.

I would also urge everyone to report the games you have played, It helps a lot. Good or bad, even if there are already hundreds of reports. Also check out this Curator who lists Platinum rated games.

## Proton Github
The Proton Github is where you can report problems with games, It probably won't get fixed because of it, but it is good to let everyone know there is interest, and who knows maybe the community finds a fix together.

## Protontricks
Winetricks is a tool that helps you set certain tweaks to Wine to help make programs run or run better. Protontricks is just a simple wrapper which deals with proton directories in a manageable way.

Install it with the following command

WIP!

Now you should be able to execute protontricks commands in your terminal, If a listing on ProtonDB works by using a certain protontricks command you can make the adjustment pretty easily

## Proton GE
Proton GE is a fork of proton by Glorious Eggroll, That's where the GE comes from. It fixes a lot of game specific bugs, so if your game does not work with Proton, You can always try this one.

Install it with the following command

WIP!

Now you should be able to restart steam and the compatibility tool should show up in the game properties when you enable Force the use of a specific Steam Play compatibility tool.

## Boxtron
Boxtron is a tool to run DOS games with DOSBox right from the Steam Client, This fixes some broken DOS games on the Steam Store, and it enhances the performance for most. You can check this Curator for supported games

Install it with the following command

WIP!

Now you should be able to restart steam and the compatibility tool should show up in the game properties when you enable Force the use of a specific Steam Play compatibility tool.

## Roberta
Roberta is a tool to run SCUMM games with ScummVM right from the Steam Client, This Enables you to play some Windows ports on the Steam Store with a Native Linux Engine. which greatly improves everything ofcourse. Also check out this Curator that lists compatible games.

Install it with the following command

WIP!

Now you should be able to restart steam and the compatibility tool should show up in the game properties when you enable Force the use of a specific Steam Play compatibility tool.

## Luxtorpeda
Luxtorpeda is a tool that makes Windows only games run natively running the game with the official game assets using open source engines like OpenMW, OpenXcom, GZDoom and much more.

Install it with the following command

WIP!

Now you should be able to restart steam and the compatibility tool should show up in the game properties when you enable Force the use of a specific Steam Play compatibility tool.

## Steam Linux Runtime
Steam Linux Runtime is a container for your native Linux games, it will use more of Steams own libraries instead of the ones from your system. If a game does not run normally you could try this one.

Steam Linux Runtime has a few advantages for users; Games can not access your home directory, they are isolated in their own little container. It can help support older games that don't work on newer systems. For developers it creates a single runtime they can test against.